; QED-ASMPAR 4 0006  $DSDR:Z:716,M:4
;Desert	Drain V1.52   680x0er Disassembler  24.01.1998 10:52:00
;DATEI:	HSMAY86.DOS   2830 Bytes
;TEXT:	 2364	$0093C
;DATA:	  378	$0017A
;BSS:	    8  $000008
	SECTION	TEXT
	clr.l	B_AB6
	clr.l	B_ABA
	move.l	#D_93C,D0
	move.l	#D_AA6,D1
	rts
T_1A:	movem.l	D3/A3,-(SP)
	move.w	D0,D3
	move.l	#$282A,-(SP)
	move.w	#$48,-(SP)
	trap	#1			 ;Malloc
	addq.l	#6,SP
	tst.l	D0
	bne	T_3A
	moveq	#-$27,D0
	bra	T_6C
T_3A:	movea.l	D0,A0
	move.w	D3,0(A0)
	movea.l	A0,A3
	jsr	T_4F2
	cmp.l	#-15,D0
	beq	T_5C
	cmp.l	#-12,D0
	bne	T_68
T_5C:	exg	A3,D0
	move.l	D0,-(SP)
	move.w	#$49,-(SP)
	trap	#1			 ;Mfree
	addq.l	#6,SP
T_68:	move.l	A3,D0
	clr.l	D1
T_6C:	movem.l	(SP)+,D3/A3
	rts
T_72:	moveq	#-13,D0
	rts
T_76:	jsr	T_8A4
	tst.l	D0
	bmi	T_1A2
	and.w	#8,D0
	beq	T_90
	moveq	#-14,D0
	bra	T_1A2
T_90:	move.l	8(A5),D3
	move.w	#11,D0
	asr.l	D0,D3
	add.l	0(A5),D3
	movea.l	12(SP),A4
	move.l	8(SP),D4
	move.l	4(A5),D0
	sub.l	8(A5),D0
	cmp.l	D0,D4
	ble	T_B6
	move.l	D0,D4
T_B6:	tst.l	D4
	bne	T_C2
	moveq	#0,D0
	bra	T_1A2
T_C2:	move.l	8(A5),D0
	and.w	#$7FF,D0
	beq	T_FE
	move.l	#$800,D5
	sub.w	D0,D5
	cmp.l	D5,D4
	bge	T_DE
	move.l	D4,D5
T_DE:	sub.l	D5,D4
	subq.w	#1,D5
	lea	$2A(A3),A6
	adda.w	D0,A6
	move.l	D3,D0
	addq.l	#1,D3
	jsr	T_81E
	tst.l	D0
	bmi	T_1A2
T_F8:	move.b	(A6)+,(A4)+
	dbra	D5,T_F8
T_FE:	move.l	A4,D0
	btst	#0,D0
	bne	T_14A
T_108:	move.l	D4,D0
	move.w	#11,D1
	asr.l	D1,D0
	beq	T_17A
	cmp.l	#$3F,D0
	ble	T_120
	moveq	#$3F,D0
T_120:	move.w	D0,-(SP)
	move.l	D3,-(SP)
	add.l	D0,D3
	move.l	A4,-(SP)
	move.w	#11,D1
	asl.l	D1,D0
	adda.l	D0,A4
	sub.l	D0,D4
	move.w	0(A3),-(SP)
	move.w	#$33,-(SP)
	trap	#14
	adda.l	#14,SP
	tst.l	D0
	bmi	T_1A2
	bra.s	T_108
T_14A:	cmp.l	#$800,D4
	blt	T_17A
	sub.l	#$800,D4
	move.l	D3,D0
	addq.l	#1,D3
	jsr	T_81E
	tst.l	D0
	bmi	T_1A2
	lea	$2A(A3),A0
	move.w	#$7FF,D0
T_172:	move.b	(A0)+,(A4)+
	dbra	D0,T_172
	bra.s	T_14A
T_17A:	subq.w	#1,D4
	bmi	T_198
	move.l	D3,D0
	jsr	T_81E
	tst.l	D0
	bmi	T_1A2
	lea	$2A(A3),A0
T_192:	move.b	(A0)+,(A4)+
	dbra	D4,T_192
T_198:	move.l	A4,D0
	sub.l	12(SP),D0
	add.l	D0,8(A5)
T_1A2:	rts
T_1A4:	move.l	6(SP),D0
	cmpi.w	#1,12(SP)
	blt	T_1BA
	bgt	T_1C8
	add.l	8(A5),D0
T_1BA:	cmp.l	4(A5),D0
	bgt	T_1DA
	move.l	D0,8(A5)
	rts
T_1C8:	move.l	4(A5),D1
	sub.l	D0,D1
	bmi	T_1DA
	move.l	D1,8(A5)
	move.w	D1,D0
	rts
T_1DA:	moveq	#-6,D0
	rts
T_1DE:	jsr	T_860
	tst.l	D0
	bmi	T_256
	jsr	T_604
	tst.l	D0
	bmi	T_256
	jsr	T_716
	tst.l	D0
	bmi	T_256
	jsr	T_77A
	tst.l	D0
	bmi	T_256
	btst	#1,$18(A0)
	beq	T_21E
	moveq	#-$21,D0
	bra	T_256
T_21E:	move.l	6(A0),D0
	cmpi.w	#$200,6(A3)
	beq	T_23A
	cmpi.w	#$400,6(A3)
	beq	T_23C
	bra	T_23E
T_23A:	asr.l	#1,D0
T_23C:	asr.l	#1,D0
T_23E:	move.l	D0,0(A5)
	move.l	14(A0),4(A5)
	move.l	#0,8(A5)
	moveq	#0,D0
	move.b	1(A0),D0
T_256:	rts
T_258:	move.l	#-1,0(A5)
	move.l	#-1,4(A5)
	move.l	#-1,8(A5)
	moveq	#0,D0
	rts
T_274:	move.l	#-1,(A5)
	jsr	T_860
	tst.l	D0
	bmi	T_2E4
	jsr	T_604
	tst.l	D0
	bmi	T_2E4
	jsr	T_716
	tst.l	D0
	bmi	T_2E4
	movea.l	A5,A0
	move.l	$1E(A3),(A0)+
	move.w	$22(A3),(A0)+
	move.w	$24(A3),(A0)+
	cmpi.b	#$2A,(A4)
	bne	T_2D6
	cmpi.b	#$2E,1(A4)
	bne	T_2D6
	cmpi.b	#$2A,2(A4)
	bne	T_2D6
	tst.b	3(A4)
	bne	T_2D6
	move.b	#0,1(A4)
T_2D6:	move.b	(A4)+,(A0)+
	bne.s	T_2D6
	move.b	11(SP),$14(A5)
	bra	T_2E6
T_2E4:	rts
T_2E6:	move.b	$14(A5),D3
	cmp.b	#8,D3
	bne	T_2F8
	moveq	#-$21,D0
	bra	T_3C8
T_2F8:	move.b	#0,$14(A5)
	movea.l	A5,A4
	move.l	(A4)+,$1E(A3)
	move.w	(A4)+,$22(A3)
	move.w	(A4)+,$24(A3)
T_30C:	jsr	T_77A
	tst.l	D0
	bmi	T_3C8
	moveq	#0,D0
	btst	#0,$18(A0)
	beq	T_328
	or.w	#2,D0
T_328:	btst	#1,$18(A0)
	beq	T_336
	or.w	#$10,D0
T_336:	tst.b	D0
	beq	T_342
	move.w	D3,D1
	and.b	D0,D1
	beq.s	T_30C
T_342:	move.b	D3,$14(A5)
	move.b	D0,$15(A5)
	move.b	$12(A0),D0
	sub.b	#$50,D0
	and.w	#$7F,D0
	move.b	$13(A0),D1
	and.w	#15,D1
	move.b	$14(A0),D2
	and.w	#$1F,D2
	ror.w	#7,D0
	asl.w	#5,D1
	or.w	D1,D0
	or.w	D2,D0
	move.w	D0,$18(A5)
	move.b	$15(A0),D0
	and.w	#$1F,D0
	move.b	$16(A0),D1
	and.w	#$3F,D1
	move.b	$17(A0),D2
	asr.w	#1,D2
	and.w	#$1F,D2
	ror.w	#5,D0
	asl.w	#5,D1
	or.w	D1,D0
	or.w	D2,D0
	move.w	D0,$16(A5)
	move.l	14(A0),$1A(A5)
	moveq	#0,D0
	move.b	$20(A0),D0
	lea	$21(A0),A2
	subq.w	#1,D0
	lea	$1E(A5),A1
T_3AE:	move.b	(A2)+,(A1)+
	dbra	D0,T_3AE
	move.b	#0,(A1)+
	movea.l	A5,A0
	move.l	$1E(A3),(A0)+
	move.w	$22(A3),(A0)+
	move.w	$24(A3),(A0)+
	moveq	#0,D0
T_3C8:	rts
T_3CA:	jsr	T_860
	tst.l	D0
	bmi	T_458
	tst.w	12(SP)
	beq	T_3E4
	moveq	#-5,D0
	bra	T_458
T_3E4:	jsr	T_604
	tst.l	D0
	bmi	T_458
	jsr	T_716
	tst.l	D0
	bmi	T_458
	jsr	T_77A
	tst.l	D0
	bmi	T_458
	movea.l	6(SP),A1
	move.b	$15(A0),D0
	and.w	#$1F,D0
	move.b	$16(A0),D1
	and.w	#$3F,D1
	move.b	$17(A0),D2
	asr.w	#1,D2
	and.w	#$1F,D2
	ror.w	#5,D0
	asl.w	#5,D1
	or.w	D1,D0
	or.w	D2,D0
	move.w	D0,(A1)+
	move.b	$12(A0),D0
	sub.b	#$50,D0
	and.w	#$7F,D0
	move.b	$13(A0),D1
	and.w	#15,D1
	move.b	$14(A0),D2
	and.w	#$1F,D2
	ror.w	#7,D0
	asl.w	#5,D1
	or.w	D1,D0
	or.w	D2,D0
	move.w	D0,(A1)+
	moveq	#0,D0
T_458:	rts
T_45A:	jsr	T_860
	tst.l	D0
	bmi	T_4C4
	tst.w	10(SP)
	beq	T_474
	moveq	#-5,D0
	bra	T_4C4
T_474:	jsr	T_604
	tst.l	D0
	bmi	T_4C4
	jsr	T_716
	tst.l	D0
	bmi	T_4C4
	tst.b	(A4)
	bne	T_49A
	lea	$2A(A3),A0
	bra	T_4A6
T_49A:	jsr	T_77A
	tst.l	D0
	bmi	T_4C4
T_4A6:	moveq	#1,D0
	btst	#0,$18(A0)
	beq	T_4B6
	or.w	#2,D0
T_4B6:	btst	#1,$18(A0)
	beq	T_4C4
	or.w	#$10,D0
T_4C4:	rts
T_4C6:	jsr	T_860
	tst.l	D0
	bmi	T_4F0
	movea.l	6(SP),A0
	move.l	#0,(A0)+
	move.l	2(A3),(A0)+
	move.w	#0,(A0)+
	move.w	6(A3),(A0)+
	move.l	#1,(A0)
	moveq	#0,D0
T_4F0:	rts
T_4F2:	move.l	#-1,$26(A3)
	move.l	D3,-(SP)
	moveq	#$10,D3
T_4FE:	move.l	D3,D0
	jsr	T_81E
	tst.l	D0
	bmi	T_56C
	lea	$2A(A3),A0
	cmpi.b	#1,8(A0)
	beq	T_538
	cmpi.b	#-1,8(A0)
	beq	T_532
	cmpi.b	#3,8(A0)
	bgt	T_532
	addq.l	#1,D3
	bra.s	T_4FE
T_532:	moveq	#-7,D0
	bra	T_56C
T_538:	lea	D_AA0,A0
	lea	$33(A3),A1
	moveq	#5,D0
	jsr	T_8C6
	beq.s	T_4FE
	move.l	$86(A3),2(A3)
	move.w	$B4(A3),6(A3)
	move.l	$CE(A3),12(A3)
	move.l	$BA(A3),8(A3)
	move.w	#-$1,$1C(A3)
	moveq	#0,D0
T_56C:	move.l	(SP)+,D3
	rts
T_570:	move.l	8(A3),D0
	cmp.l	#$800,D0
	bge	T_584
	move.l	#$800,D0
T_584:	cmp.l	#$2000,D0
	ble	T_594
	move.l	#$2000,D0
T_594:	move.w	D0,$10(A3)
	move.l	12(A3),D0
	cmpi.w	#$200,6(A3)
	beq	T_5B4
	cmpi.w	#$400,6(A3)
	beq	T_5B6
	bra	T_5B8
T_5B4:	asr.l	#1,D0
T_5B6:	asr.l	#1,D0
T_5B8:	move.l	D0,$12(A3)
	move.w	#4,-(SP)
	move.l	D0,-(SP)
	pea	$82A(A3)
	move.w	0(A3),-(SP)
	move.w	#$33,-(SP)
	trap	#14
	adda.l	#14,SP
	move.l	8(A3),D0
	divu	#$800,D0
	move.l	D0,D1
	and.l	#-$10000,D1
	beq	T_5EC
	addq.w	#1,D0
T_5EC:	subq.w	#4,D0
	move.w	D0,$1A(A3)
	move.l	$12(A3),D0
	addq.l	#4,D0
	move.l	D0,$16(A3)
	move.w	#0,$1C(A3)
	rts
T_604:	movem.l	D3-D6,-(SP)
	tst.w	$1C(A3)
	beq	T_616
	jsr	T_570
T_616:	move.b	(A4)+,D0
	beq	T_706
	cmp.b	#$3A,D0
	bne.s	T_616
	moveq	#0,D3
	lea	$82A(A3),A2
	move.l	0(A2,D3.w),D5
	moveq	#1,D2
	moveq	#1,D4
	cmpi.b	#$5C,(A4)
	bne	T_70E
	addq.l	#1,A4
T_63A:	movea.l	A4,A0
T_63C:	move.b	(A0)+,D0
	beq	T_70E
	cmp.b	#$5C,D0
	bne.s	T_63C
	move.b	5(A2,D3.w),D6
	addq.w	#1,D6
	and.w	#$FE,D6
	addq.w	#8,D6
	add.w	D3,D6
	cmp.w	$10(A3),D6
	bgt	T_6A0
	cmp.w	6(A2,D3.w),D2
	bhi	T_69A
	bcs	T_706
	movea.l	A4,A0
	movea.l	A2,A1
	adda.w	D3,A1
	adda.w	#8,A1
	clr.w	D0
	move.b	5(A2,D3.w),D0
	jsr	T_8C6
	beq	T_69A
	move.w	D4,D2
	move.l	0(A2,D3.w),D5
T_68A:	move.b	(A4),D0
	beq	T_70E
	adda.w	#1,A4
	cmp.b	#$5C,D0
	bne.s	T_68A
T_69A:	addq.w	#1,D4
	move.w	D6,D3
	bra.s	T_63A
T_6A0:	tst.w	$1A(A3)
	ble	T_706
	movea.l	A2,A0
T_6AA:	cmp.w	$10(A3),D3
	bge	T_6BA
	move.w	0(A2,D3.w),(A0)+
	addq.w	#2,D3
	bra.s	T_6AA
T_6BA:	move.w	#-$1,$1C(A3)
	movem.l	D2/A2,-(SP)
	move.w	#1,-(SP)
	move.l	$16(A3),-(SP)
	move.l	A0,-(SP)
	move.w	0(A3),-(SP)
	move.w	#$33,-(SP)
	suba.l	A2,A0
	adda.w	#$800,A0
	move.w	A0,$10(A3)
	trap	#14
	adda.l	#14,SP
	movem.l	(SP)+,D2/A2
	tst.l	D0
	bmi	T_706
	subi.w	#1,$1A(A3)
	addi.l	#1,$16(A3)
	clr.w	D3
	bra	T_63A
T_706:	moveq	#-$22,D0
	movem.l	(SP)+,D3-D6
	rts
T_70E:	move.l	D5,D0
	movem.l	(SP)+,D3-D6
	rts
T_716:	cmpi.w	#$200,6(A3)
	beq	T_72E
	cmpi.w	#$400,6(A3)
	beq	T_730
	bra	T_732
T_72E:	asr.l	#1,D0
T_730:	asr.l	#1,D0
T_732:	move.l	D0,$1E(A3)
	jsr	T_81E
	tst.l	D0
	bmi	T_778
	lea	$2A(A3),A0
	move.l	14(A0),D0
	divu	#$800,D0
	move.l	D0,D1
	and.l	#-$10000,D1
	beq	T_75C
	addq.w	#1,D0
T_75C:	subq.w	#1,D0
	move.w	D0,$22(A3)
	moveq	#0,D0
	tst.b	(A4)
	beq	T_772
	move.b	0(A0),D0
	add.b	0(A0,D0.w),D0
T_772:	move.w	D0,$24(A3)
	moveq	#0,D0
T_778:	rts
T_77A:	movem.l	D3/D4,-(SP)
	move.l	$1E(A3),D0
	jsr	T_81E
	tst.l	D0
	bmi	T_818
	lea	$2A(A3),A2
	move.w	$24(A3),D3
	tst.b	(A4)
	beq	T_806
T_79C:	cmp.w	#$800,D3
	bge	T_7D2
	tst.b	0(A2,D3.w)
	beq	T_7D2
	clr.w	D0
	move.b	$20(A2,D3.w),D0
	movea.l	A2,A1
	adda.w	D3,A1
	adda.w	#$21,A1
	movea.l	A4,A0
	jsr	T_8C6
	bne	T_806
	move.b	0(A2,D3.w),D0
	beq	T_800
	add.w	D0,D3
	bra.s	T_79C
T_7D2:	subi.w	#1,$22(A3)
	bmi	T_800
	addi.l	#1,$1E(A3)
	move.l	$1E(A3),D0
	lea	$2A(A3),A0
	jsr	T_81E
	tst.l	D0
	bmi	T_818
	lea	$2A(A3),A2
	moveq	#0,D3
	bra.s	T_79C
T_800:	moveq	#-$21,D0
	bra	T_818
T_806:	movea.l	A2,A0
	adda.w	D3,A0
	moveq	#0,D0
	move.b	0(A2,D3.w),D0
	add.w	D0,D3
	move.w	D3,$24(A3)
	moveq	#0,D0
T_818:	movem.l	(SP)+,D3/D4
	rts
T_81E:	cmp.l	$26(A3),D0
	beq	T_85E
	move.l	D0,$26(A3)
	move.l	D3,-(SP)
	move.w	#3,D3
	move.w	#1,-(SP)
	move.l	D0,-(SP)
	pea	$2A(A3)
	move.w	0(A3),-(SP)
	move.w	#$33,-(SP)
T_842:	trap	#14
	tst.l	D0
	bpl	T_856
	dbra	D3,T_842
	move.l	#-1,$26(A3)
T_856:	adda.l	#14,SP
	move.l	(SP)+,D3
T_85E:	rts
T_860:	move.l	B_AB6,D0
	cmp.l	$4BA.w,D0		 ;_hz_200
	bcs	T_876
	move.l	B_ABA,D0
	rts
T_876:	move.l	$4BA.w,B_AB6		 ;_hz_200
	addi.l	#$190,B_AB6
	jsr	T_8A4
	tst.l	D0
	bmi	T_8A2
	and.w	#8,D0
	beq	T_8A2
	jsr	T_4F2
T_8A2:	rts
T_8A4:	move.l	#0,-(SP)
	move.w	0(A3),-(SP)
	move.w	#$36,-(SP)
	trap	#14
	addq.l	#8,SP
	tst.l	D0
	bpl	T_8BE
	moveq	#-2,D0
T_8BE:	move.l	D0,B_ABA
	rts
T_8C6:	subq.w	#1,D0
	bmi	T_926
T_8CC:	move.b	(A0),D1
	beq	T_938
	cmp.b	#$5C,D1
	beq	T_938
	cmp.b	#$2A,D1
	beq	T_8FA
	cmp.b	#$3F,D1
	beq	T_91E
	cmp.b	(A1)+,D1
	bne	T_938
	addq.l	#1,A0
	dbra	D0,T_8CC
	bra	T_926
T_8FA:	addq.l	#1,A0
	move.b	(A0),D1
	beq	T_934
	cmp.b	#$5C,D1
	beq	T_934
	cmp.b	#$2A,D1
	beq.s	T_8FA
T_910:	cmp.b	(A1),D1
	beq.s	T_8CC
	addq.l	#1,A1
	dbra	D0,T_910
	bra	T_926
T_91E:	addq.l	#1,A0
	addq.l	#1,A1
	dbra	D0,T_8CC
T_926:	move.b	(A0),D1
	beq	T_934
	cmp.b	#$5C,D1
	bne	T_938
T_934:	moveq	#-1,D0
	rts
T_938:	moveq	#0,D0
	rts
	SECTION	DATA
D_93C:	dc.l	T_1A
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.l	T_4C6
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.l	T_72
	dc.l	T_72
	dc.b	$FF,$FF,$FF,$FF
	dc.l	T_72
	dc.l	T_1DE
	dc.l	T_258
	dc.l	T_76
	dc.l	T_72
	dc.b	$FF,$FF,$FF,$FF
	dc.l	T_1A4
	dc.l	T_45A
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.l	T_274
	dc.l	T_2E6
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	dc.b	$FF,$FF,$FF,$FF,$FF,$FF
	dc.l	T_3CA
D_AA0:	dc.b	$43,$44,$52,$4F,$4D,$0
D_AA6:	dc.b	$48,$53,$47,$20,$4D,$61,$79,$27,$38,$36,$20
	dc.b	$76,$31,$2E,$39,$0
	SECTION	BSS
B_AB6:	ds.l	1			 ;=4
B_ABA:	ds.l	1			 ;=4
	END
